#
# spec file for package
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           clawsker
Version:        0.7.9
Release:        1.1
License:        GPL-3.0
Summary:        Applet to Edit Claws Mail's Hidden Preferences
Url:            http://www.claws-mail.org/clawsker.php
Group:          Productivity/Networking/Email/Clients
Source0:        http://www.claws-mail.org/tools/%{name}-%{version}.tar.gz
Source1:        %{name}.desktop
# PATCH-FIX-UPSTREAM clawsker-0.7.9-global_symbol.patch ricardo@mones.org -- Global symbol "@ver" requires explicit package name.
# Fixed in git (https://github.com/mones/clawsker/issues/3).
Patch0:         clawsker-0.7.9-global_symbol.patch
BuildRequires:  claws-mail
BuildRequires:  update-desktop-files
Requires:       claws-mail
Requires:       perl-Gtk2
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Clawsker is an applet to edit Claws Mail's hidden preferences.

Claws Mail has a high number of configurable options and, in order to
keep the binary small and fast, some of these preferences which are not
widely used are not provided with a graphical interface for inspection
and/or modification.

Users wanting to edit such preferences had to face editing the
configuration text files directly, now it is possible with a convenient
GTK2 interface using Clawsker.

%lang_package

%prep
%setup -q
%patch0 -p1

%build
make PREFIX=%{_prefix}

%install
%make_install  PREFIX=%{_prefix}
install -Dm 0644 %{SOURCE1} \
    %{buildroot}/%{_datadir}/applications/%{name}.desktop
%suse_update_desktop_file %{name}

%find_lang %{name}

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog.old COPYING NEWS README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%doc %{_mandir}/man1/%{name}.1.gz

%files lang -f %{name}.lang

%changelog
* Tue May 14 2013 lazy.kent@opensuse.org
- Add clawsker-0.7.9-global_symbol.patch: global symbol "@ver"
  requires explicit package name.
* Mon May 13 2013 lazy.kent@opensuse.org
- Update to 0.7.9.
  * Support detection of running Claws Mail up to 3.9.1.
  * Updated Brazilian Portuguese translation.
  * ChangeLog file obsoleted, kept as ChangeLog.old.
* Wed Jul  4 2012 lazy.kent@opensuse.org
- Update to 0.7.8.
  * Supported new hidden properties for Claws Mail 3.8.1 for
    coloured display of patch attachments.
  * Updated French, Spanish and Swedish translations.
- Changes in 0.7.7.
  * Supported new hidden property for Claws Mail 3.8.0:
    'summary_from_show', and old one: 'zero_replacement_char'.
  * New Swedish translation.
  * Updated French and Spanish translations.
  * GUI page has been sligthly improved, and some other fixes.
- Split off language package.
* Sat Nov 12 2011 lazy.kent@opensuse.org
- Requires perl-Gtk2.
- Corrected License tag.
- Use full URL as a source.
- Corrected desktop file.
- Clean up and formatting spec.
* Wed Apr 13 2011 detlef@links2linux.de
- new upstream version <0.7.5>
* Sat Jun 26 2010 detlef@links2linux.de
- initial build for PackMan <0.7.2>
